package com.xzzn.ems.domain;

import java.math.BigDecimal;
import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.xzzn.common.core.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.xzzn.common.annotation.Excel;

/**
 * 模板对象 ems_strategy_temp
 *
 * @author xzzn
 * @date 2025-07-13
 */
public class EmsStrategyTemp extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /**  */
    private Long id;

    /** 关联的策略ID */
    @Excel(name = "关联的策略ID")
    private Long strategyId;

    /** 模板名称，如“模板一” */
    @Excel(name = "模板名称，如“模板一”")
    private String templateName;

    /** SDC限制 (%) 1 = 开，0 = 关 */
    @Excel(name = "SDC限制 (%) 1 = 开，0 = 关")
    private Integer sdcLimit;

    /** SDC下限 (%) */
    @Excel(name = "SDC下限 (%)")
    private BigDecimal sdcDown;

    /** SDC上限 (%) */
    @Excel(name = "SDC上限 (%)")
    private BigDecimal sdcUp;

    /** 开始时间 */
    @JsonFormat(pattern = "HH:mm")
    @Excel(name = "开始时间", width = 30, dateFormat = "HH:mm")
    private Date startTime;

    /** 结束时间 */
    @JsonFormat(pattern = "HH:mm")
    @Excel(name = "结束时间", width = 30, dateFormat = "HH:mm")
    private Date endTime;

    /** 充放功率 (kW) */
    @Excel(name = "充放功率 (kW)")
    private BigDecimal chargeDischargePower;

    /** 充电状态，如“1-充电”、“2-待机” */
    @Excel(name = "充电状态，如“1-充电”、“2-待机”")
    private String chargeStatus;

    /** 站点id */
    @Excel(name = "站点id")
    private String siteId;

    /** 模板id */
    @Excel(name = "模板id")
    private String templateId;

    public void setId(Long id)
    {
        this.id = id;
    }

    public Long getId()
    {
        return id;
    }

    public void setStrategyId(Long strategyId)
    {
        this.strategyId = strategyId;
    }

    public Long getStrategyId()
    {
        return strategyId;
    }

    public void setTemplateName(String templateName)
    {
        this.templateName = templateName;
    }

    public String getTemplateName()
    {
        return templateName;
    }

    public void setSdcLimit(Integer sdcLimit)
    {
        this.sdcLimit = sdcLimit;
    }

    public Integer getSdcLimit()
    {
        return sdcLimit;
    }

    public void setSdcDown(BigDecimal sdcDown)
    {
        this.sdcDown = sdcDown;
    }

    public BigDecimal getSdcDown()
    {
        return sdcDown;
    }

    public void setSdcUp(BigDecimal sdcUp)
    {
        this.sdcUp = sdcUp;
    }

    public BigDecimal getSdcUp()
    {
        return sdcUp;
    }

    public void setStartTime(Date startTime)
    {
        this.startTime = startTime;
    }

    public Date getStartTime()
    {
        return startTime;
    }

    public void setEndTime(Date endTime)
    {
        this.endTime = endTime;
    }

    public Date getEndTime()
    {
        return endTime;
    }

    public void setChargeDischargePower(BigDecimal chargeDischargePower)
    {
        this.chargeDischargePower = chargeDischargePower;
    }

    public BigDecimal getChargeDischargePower()
    {
        return chargeDischargePower;
    }

    public void setChargeStatus(String chargeStatus)
    {
        this.chargeStatus = chargeStatus;
    }

    public String getChargeStatus()
    {
        return chargeStatus;
    }

    public void setSiteId(String siteId)
    {
        this.siteId = siteId;
    }

    public String getSiteId()
    {
        return siteId;
    }

    public void setTemplateId(String templateId)
    {
        this.templateId = templateId;
    }

    public String getTemplateId()
    {
        return templateId;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
                .append("id", getId())
                .append("strategyId", getStrategyId())
                .append("templateName", getTemplateName())
                .append("sdcLimit", getSdcLimit())
                .append("sdcDown", getSdcDown())
                .append("sdcUp", getSdcUp())
                .append("startTime", getStartTime())
                .append("endTime", getEndTime())
                .append("chargeDischargePower", getChargeDischargePower())
                .append("chargeStatus", getChargeStatus())
                .append("createBy", getCreateBy())
                .append("createTime", getCreateTime())
                .append("updateBy", getUpdateBy())
                .append("updateTime", getUpdateTime())
                .append("remark", getRemark())
                .append("siteId", getSiteId())
                .append("templateId", getTemplateId())
                .toString();
    }
}
